@import url('https://fonts.googleapis.com/css2?family=Bai+Jamjuree:wght@400;500;600;700&display=swap');


/* VARIABLES PALETTE COULEURS */
:root {
    --color-body: #f5f5f5;
    --color-heading: #EF67CC;
    --color-base: #05052B;
    --color-base2: #050505;
    --color-brand: #2BC5EA;
    --color-brand2: #7D0E7E;
    --sidbar-width: 300px;
    --font-base: "Bai Jamjuree";
}

body {
    background-color: var(--color-base2);
    color: var(--color-body);
    font-family: var(--font-base), sans-serif;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    color: var(--color-heading);
    font-weight: 700;
}


a {
    text-decoration: none;
    color: var(--color-body);
    transition: all 0.4s ease;
}

a:hover {
    color: var(--color-brand);
}

img {
    width: 100%;
}

.bg-base {
    background-color: var(--color-base);
}

.shadow-effect {
    transition: all 0.5s;
}

.shadow-effect:hover {
    box-shadow: -6px 6px 0 8px var(--color-brand);
}

.iconbox {
    width: 60px;
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 32px;
    background-color: var(--color-brand);
    color: var(--color-base);
}



.text-brand {
    color: var(--color-brand)
}

.full-height {
    min-height: 100vh;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding-top: 80px;
    padding-bottom: 80px;
    border-bottom: 2px solid rgba(255, 255, 255, 0.1);
}


/* COOKIES */

.container-c {
width: 100vw;
margin: auto;
}

.subcontainer {
    width: 80%;
    margin: auto;

}
.cookies {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    gap: 10px;
}
.cookies > p > a {
    font-weight: 700;
    color: var(--color-brand2);

}

#cookies {
    width: 100%;
    position: fixed;
    bottom:0;
    background-color: var(--color-brand);
    color: var(--color-body)color-brand;
    z-index: 1;
    display: none;
}

#btn-cookies {
    color:var(--color-body) ;
    background-color: var(--color-heading);
}


/* //COOKIES */



/* NAVBAR */


.nav-link:hover {
    scale: 1.5;
}

.navbar {
    background-color: var(--color-base);
}

.navbar .nav-link {
    font-weight: 700;
    text-transform: uppercase;
    color: white;
}

.navbar .nav-link:hover {
    color: var(--color-brand);
}

.nav-icons {
    width: 40px;
    height: 40px;
    background-color: var(--color-base);
    border-radius: 100px;
    font-size: 18px;
}

@media (min-width: 992px) {
    .navbar {
        min-height: 100vh;
        width: var(--sidbar-width);
        background: linear-gradient(#05052bec, #05052bb9), url("../images/bg-ch.jpg");
        /*gradient avec couleur de base*/
        background-size: cover;
        background-position: center;
    }

}

.navbar-brand img {
    border: 8px solid var(--color-body);
}


/* CONTENT WRAPPER */

#content-wrapper {
    padding-left: var(--sidbar-width)
}

/* BOUTON */

.btn {
    padding: 12px 28px;
    font-weight: 700;
}

.btn-brand {
    background-color: var(--color-brand);
    border-color: var(--color-brand);
}

.btn-brand:hover,
.btn-brand:focus {
    background-color: var(--color-brand2);
    color: var(--color-body);
    border-color: var(--color-brand2);
}

.link-custom {
    font-weight: 700;
    position: relative;
}

.link-custom::after {
    content: "";
    width: 0%;
    height: 2px;
    background-color: var(--color-brand);
    position: absolute;
    left: 0;
    top: 110%;
    transition: all 0.4s;
}

.link-custom:hover::after {
    width: 100%;

}

/* WORK CARDS */
.card-custom .card-custom-image {
    overflow: hidden;
}

.card-custom .card-custom-image img {
    transition: all 0.4s ease;
}

.card-custom:hover .card-custom-image img {
    transform: scale(1.1);
}

.card-custom-content>a {
    border-left: var(--color-brand) 1px solid;
    border-right: var(--color-brand) 1px solid;
    padding: 0.2rem;

}

/*ABOUT*/
.hard-skills {
    display: flex;
    justify-content: center;
    flex-direction: column;
}

.icons-prog {
    width: 9%;
}


/* 
CONTACT */


#contact .form-control {
    background-color: var(--color-base2);
    border-color: var(--color-brand);
    color: var(--color-heading);
}

#contact .form-control::placeholder {
    color: var(--color-body);
}

/* FOOTER */

.social-icons a {
    width: 40px;
    height: 40px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    background-color: var(--color-base);
    border-radius: 100px;
    font-size: 24px;
}

/* TEST ANIMATION BOUTON */

/* .animated-button:hover {
    background-color: var(--color-body);
    color: #ffffff;
    font-size: 16px;
    padding: 10px 20px 10px 20px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-weight: bold;
    border: none;
    border-radius: 8px;
    box-shadow: 0 4px 15px 0 var(--color-brand);
    animation: cyber 1.2s infinite;
} */

/* @keyframes cyber {
    0% {
        background-color: var(--color-brand);
    }

    25% {
        background-color: var(--color-heading);
    }

    50% {
        background-color: var(--color-brand2);
    }

    75% {
        background-color: var(--color-brand);
    }

    100% {
        background-color: var(--color-heading);
    }
} */


@media screen and (max-width:991px) {
    #content-wrapper {
        padding-left: 0px;
    }

}

/* TEST ANMATION GLITCH */

/* .text-glitch {
    animation: glitch 1.5s linear infinite;
    color: var();
    text-transform: uppercase;
    letter-spacing: 2px;
}

@keyframes glitch {

    2%,
    64% {
        transform: translate(2px, 0) skew(2deg);
    }

    4%,
    60% {
        transform: translate(-2px, -5px) skew(0deg);
        transform: scale(1.5);
    }

    62% {
        transform: translate(0, 0) skew(5deg);
    }
} */


 
 .glitch {
    position: relative;
    font-size: 1em;
    font-weight: 500;
    line-height: 1.2;
    color: #fff;
    letter-spacing: 5px;
    z-index: 1;
 }
 
 .glitch:before,
 .glitch:after {
    display: block;
    content: attr(data-glitch);
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0.8;
 }
 
 .glitch:before {
    animation: glitch-color 0.3s cubic-bezier(0.25, 0.46, 0.45, 0.94) both infinite;
    color: #0ff;
    z-index: -1;
 }
 
 .glitch:after {
    animation: glitch-color 0.3s cubic-bezier(0.25, 0.46, 0.45, 0.94) reverse both infinite;
    color: #ff00ff;
    z-index: -2;
 }
 
 @keyframes glitch-color {
    0% {
       transform: translate(0);
    }
 
    20% {
       transform: translate(-3px, 3px);
    }
 
    40% {
       transform: translate(-3px, -3px);
    }
 
    60% {
       transform: translate(3px, 3px);
    }
 
    80% {
       transform: translate(3px, -3px);
    }
 
    to {
       transform: translate(0);
    }
 }